Name:		python-sleekxmpp
Version:	1.0
Release:	0.2.beta2%{?dist}
Summary:	Flexible XMPP client/component/server library for Python >= 2.6

Group:		Development/Languages
License:	MIT
URL:		https://github.com/fritzy/SleekXMPP
Source0:	http://louizatakk.fedorapeople.org/sleekxmpp-%{version}-Beta2-0.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python3-devel

Requires:	python-dns


%description
SleekXMPP is a flexible XMPP library for python 2.6 and python 3.x that allows
you to create clients, components or servers for the XMPP protocol.
Plug-ins can be create to cover every current or future XEP.


%package -n python3-sleekxmpp
Summary:	Flexible XMPP client/component/server library for Python >= 3.0


%description -n python3-sleekxmpp
SleekXMPP is a flexible XMPP library for python 2.6 and python 3.x that allows
you to create clients, components or servers for the XMPP protocol.
Plug-ins can be create to cover every current or future XEP.


%prep
%setup -q -n sleekxmpp-%{version}-Beta2-0


%build
%{nil}


%install
rm -rf %{buildroot}
# Build and install with python 2
%{__python} setup.py build
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf build/
# Build and install with python 3
%{__python3} setup.py build
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE README
%{python_sitelib}/*

%files -n python3-sleekxmpp
%defattr(-,root,root,-)
%doc INSTALL LICENSE README
%{python3_sitelib}/*


%changelog
* Tue Oct 26 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.2.beta2
- Update sources to beta2

* Fri Oct 22 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.1.beta1
- Create .spec file from scratch
